Package twisted :: Package protocols :: Module imap4 :: Class IMessagePart

[frames | no frames]

## Class IMessagePart

    Interface --+
                |
               IMessagePart

Known Subclasses:
  `IMessage`

Method Summary
| ``getBodyFile`(self)` Retrieve a file object containing only the body of this message.
`dict` | ``getHeaders`(self, negate, *names)` Retrieve a group of message headers.
`int` | ``getSize`(self)` Retrieve the total size, in octets, of this message.
Any object implementing `IMessagePart`. | ``getSubPart`(self, part)` Retrieve a MIME sub-message
`bool` | ``isMultipart`(self)` Indicate whether this message has subparts.

Method Details

### getBodyFile(self)

Retrieve a file object containing only the body of this message.

### getHeaders(self, negate, *names)

Retrieve a group of message headers.

  Parameters:
    `negate` - If True, indicates that the headers listed in `names` should be omitted from the return value, rather than included.
    (type=`bool`)
    `names` - The names of the headers to retrieve or omit.
    (type=`tuple` of `str`)
  Returns:
    A mapping of header field names to header field values
    (type=`dict`)

### getSize(self)

Retrieve the total size, in octets, of this message.

  Returns:
    `int`

### getSubPart(self, part)

Retrieve a MIME sub-message

  Parameters:
    `part` -

    The number of the part to retrieve, indexed from 0.

    @raise `IndexError`: Raised if the specified part does not exist. @raise `TypeError`: Raised if this message is not multipart.
    (type=`int`)
  Returns:
    The specified sub-part.
    (type=Any object implementing `IMessagePart`.)

### isMultipart(self)

Indicate whether this message has subparts.

  Returns:
    `bool`

Generated by Epydoc 2.0 on Sat May 15 20:08:39 2004 | http://epydoc.sf.net